# Official language image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/python/tags/
image: python

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

# Pip's cache doesn't store the python packages
# https://pip.pypa.io/en/stable/reference/pip_install/#caching
#
# If you want to also cache the installed packages, you have to install
# them in a virtualenv and cache it as well.
cache:
  paths:
    - .cache/pip

stages:
  - Build Env and Test
before_script:
  - pip install -e .[dev]

flake8:
  image: python:3.8
  tags:
    - passoft
  stage: Build Env and Test
  script:
    - flake8 sohstationviewer
    - flake8 tests

python3.7:
  image: python:3.7
  tags:
    - passoft
  stage: Build Env and Test
  script:
    - python -m unittest

python3.8:
  image: python:3.8
  tags:
    - passoft
  stage: Build Env and Test
  script:
    - python -m unittest

python3.9:
  image: python:3.9
  tags:
    - passoft
  stage: Build Env and Test
  script:
    - python -m unittest
